]> git.decadent.org.uk Git - dak.git/blobdiff - config/debian/cron.dinstall
Remove old implementation of generate-packages-sources
[dak.git] / config / debian / cron.dinstall
index ca8202aa95ad16a07fe100a0312fe2d3b6fc0e95..311207af96fa99efae11ea755f516bac3b164fd8 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # No way I try to deal with a crippled sh just for POSIX foo.
 
-# Copyright (C) 2009 Joerg Jaspert <joerg@debian.org>
+# Copyright (C) 2009-2012 Joerg Jaspert <joerg@debian.org>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -27,6 +27,7 @@
 
 # exit on errors
 set -e
+set -o pipefail
 # make sure to only use defined variables
 set -u
 # ERR traps should be inherited from functions too. (And command
@@ -72,7 +73,9 @@ function stage() {
 
     error=${ERR:-"true"}
 
-    STAGEFILE="${stagedir}/${FUNC}"
+    ARGS=${ARGS:-""}
+    STAGEFILE="${stagedir}/${FUNC}_${ARGS}"
+    STAGEFILE=${STAGEFILE// /_}
     if [ -f "${STAGEFILE}" ]; then
         stamptime=$(/usr/bin/stat -c %Z "${STAGEFILE}")
         unixtime=$(date +%s)
@@ -204,13 +207,12 @@ GO=(
 stage $GO
 
 lockfile "$LOCK_ACCEPTED"
-lockfile "$LOCK_NEW"
 trap remove_all_locks EXIT TERM HUP INT QUIT
 
 GO=(
     FUNC="punew"
     TIME="p-u-new"
-    ARGS="proposedupdates"
+    ARGS="stable-new"
     ERR="false"
 )
 stage $GO
@@ -218,16 +220,16 @@ stage $GO
 GO=(
     FUNC="opunew"
     TIME="o-p-u-new"
-    ARGS="oldproposedupdates"
+    ARGS="oldstable-new"
     ERR="false"
 )
 stage $GO
 
 GO=(
-    FUNC="newstage"
-    TIME="newstage"
+    FUNC="backports_policy"
+    TIME="backports-policy"
     ARGS=""
-    ERR=""
+    ERR="false"
 )
 stage $GO
 
@@ -249,14 +251,6 @@ GO=(
 )
 stage $GO
 
-GO=(
-    FUNC="filelist"
-    TIME="generate-filelist"
-    ARGS=""
-    ERR=""
-)
-#stage $GO
-
 GO=(
     FUNC="fingerprints"
     TIME="import-keyring"
@@ -288,8 +282,6 @@ GO=(
     ARGS=""
     ERR=""
 )
-# Careful: When we ever go and remove this monster-long thing, we have to check the backgrounded
-# functions before it. We no longer have a 1.5hour sync point then.
 stage $GO
 
 state "dists/"
@@ -302,24 +294,24 @@ GO=(
 stage $GO
 
 GO=(
-    FUNC="release"
-    TIME="release files"
+    FUNC="gitpdiff"
+    TIME="gitpdiff"
     ARGS=""
     ERR=""
 )
-stage $GO
+#stage $GO
 
 GO=(
-    FUNC="dakcleanup"
-    TIME="cleanup"
+    FUNC="release"
+    TIME="release files"
     ARGS=""
     ERR=""
 )
 stage $GO
 
 GO=(
-    FUNC="buildd_dir"
-    TIME="buildd_dir"
+    FUNC="dakcleanup"
+    TIME="cleanup"
     ARGS=""
     ERR=""
 )
@@ -444,6 +436,14 @@ GO=(
 )
 stage $GO &
 
+GO=(
+    FUNC="mirrorpush-backports"
+    TIME="mirrorpush-backports"
+    ARGS=""
+    ERR="false"
+)
+stage $GO &
+
 GO=(
     FUNC="i18n2"
     TIME="i18n 2"
@@ -478,14 +478,6 @@ GO=(
 )
 stage $GO
 
-GO=(
-    FUNC="aptftpcleanup"
-    TIME="apt-ftparchive cleanup"
-    ARGS=""
-    ERR="false"
-)
-#stage $GO
-
 # we need to wait for the background processes before the end of dinstall
 wait